using System;
using System.IO;
using System.ServiceProcess;

using FilterAPI;

using FilterRest.LocalHandlers;
using FilterRest.LocalNetworking;

using FilterRest.RestNetworking;

namespace FilterRest
{
	public partial class Service : ServiceBase
    {
        public Service() { }

		internal void Init()
		{
			Program.Auth = new Authentication();
			Program.SQL = new Database(Program.Auth);

			Program.LocalHandlers = new LocalHandlerLoader();
			Program.LocalClient = new LocalClient();

			RestListener RListen = new RestListener();
		}

        protected override void OnStart(String[] Args)
        {
			System.Diagnostics.Debugger.Launch();
			Init();  
        }

        protected override void OnStop() { }
    }
}
